httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Martin Kraemer <mar...@deejai.mch.sni.de>
Subject Re: server signature and version strings
Date Wed, 03 Mar 1999 09:21:47 GMT
I said...
> >+1 -- you´re absolutely right.
> 
> You probably also want the following patch then, brought to you by the
> magic of `find . | xargs grep SERVER_BASEVERSION`.

Hmmm. In the meantime, I applied these patches and now remember why I
never tried to use ap_get_server_version() for psignature(): it contains
just too much information if you happen to have 3rd party modules in
your server.

Imagine the unsuspecting windows user who happens to use a unix machine
with apache as a proxy, and is confronted with an error message like...

  Proxy error blah blah
  ----
  Apache/1.3.4 (Unix) mod_ssl/2.2.2 OpenSSL/0.9.1c mod_php/3.0.7 mod_perl/x.y Server at myhost.my.dom
Port 80

where most of the last line is purely technical insider information
Therefore, I think I will keep the current

  Proxy error blah blah
  ----
  Apache/1.3.4 Server at myhost.my.dom Port 80

Sorry for changing my mind -- I was just about to commit your patches :-(

    Martin
-- 
<Martin.Kraemer@MchP.Siemens.De>      |        Siemens Information and
Phone: +49-89-636-46021               |        Communication  Products
FAX:   +49-89-636-47816               |        81730  Munich,  Germany

Mime
View raw message